#!/usr/bin/env bash

function min-jpg {
    tmpfile="$(mktemp)"
    ogfile="$1"
    jpegtran -optimize -perfect -outfile "$tmpfile" "$ogfile"
    mv "$tmpfile" "$ogfile"
}

function min-png {
    tmpfile="$(mktemp)"
    ogfile="$1"
    pngcrush -rem alla -reduce -brute "$ogfile" "$tmpfile"
    mv "$tmpfile" "$ogfile"
}

function get-create-date {
    date -r "$1" +"%F"
}

function add-date-prefix {
    DIR=$(dirname "$1")
    FILE=$(basename "$1")
    DATE=$(date -r "$1" +"%F")
    mv "$1" "$DIR/${DATE}_${FILE}"
}

function get-bitrate {
    exiftool -AudioBitrate "$1" | awk '{print $4}'
}
